{
  localPkgs,
  scope,
  ...
}:
scope "user" {

  packages = [
    localPkgs.rbw-helper
  ];

  programs.direnv = {
    enable = true;
    integrations.fish.enable = true;
  };

  programs.git = {
    enable = true;
    settings = {
      user = {
        name = "atagen";
        email = "boss@atagen.co";
      };
      merge = {
        conflictstyle = "diff3";
      };
      init = {
        defaultBranch = "main";
      };
      url = {
        "https://github.com/".insteadOf = "github:";
        "https://git.atagen.co/".insteadOf = "atagen:";
      };
      credential.helper = "rbw";
    };
    integrations = {
      difftastic.enable = true;
    };
  };

}
